%global pypi_name ansible-navigator
%global commitId 8bcee77989132222fa5222c6aa20e7691d7e1fff

Name:           %{pypi_name}
Version:        2.2.0
Release:        1%{?dist}
Summary:        Red Hat Ansible Automation Platform CLI

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-navigator
Source0:        ansible-navigator-8bcee77989132222fa5222c6aa20e7691d7e1fff.tar.gz
BuildArch:      noarch

# tzdata is added as Requires, no need to add python package
Patch0:         remove_tzdata_dependency.patch
Patch1:         image_path_override.patch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml
BuildRequires:  python%{python3_pkgversion}-setuptools_scm_git_archive >= 1.1

Requires: ansible-builder >= 1.0
Requires: ansible-builder < 2.0
Requires: ansible-runner >= 2.0
Requires: ansible-runner < 3.0
Requires: podman
Requires: python%{python3_pkgversion}
Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-jsonschema
Requires: python%{python3_pkgversion}-onigurumacffi
Requires: python%{python3_pkgversion}-pyyaml
Requires: tzdata

%description
A TUI for the Red Hat Ansible Automation Platform

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%files
%defattr(-,root,root)
%{python3_sitelib}/*
%{_bindir}/ansible-navigator
%{_datadir}/ansible_navigator/*

%changelog
* Wed Oct 12 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-1
- Ansible Navigator 2.2.0-1

* Tue May 10 2022 Satoe Imaishi <simaishi@redhat.com> - 2.1.0-1
- Ansible Navigator 2.1.0-1

* Mon May 02 2022 Satoe Imaishi <simaishi@redhat.com> - 2.0.0-1
- Ansible Navigator 2.0.0-1

* Wed Oct 13 2021 Yanis Guenane <yguenane@redhat.com> - 1.1.0-1
- Ansible Navigator 1.1.0-1

* Wed Jun 30 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-2
- Override execution environment image path

* Mon Jun 28 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Ansible Navigator 1.0.0-1
